/*************************************************************************/
/*************************************************************************/
/*                                                                       */
/*  File Name : AirFitnessFunction.h                                     */
/*                                                                       */
/*       Date : May , 1997                                               */
/* Updated at : December 6, 1997                                         */
/*                                                                       */
/*     Author : H. Timucin OZDEMIR                                       */
/*                                                                       */
/*************************************************************************/
/*
  Defines the fitness value of the particular chromosome.
*/
/*************************************************************************/

#ifndef _AirFitnessFunction_h
#define _AirFitnessFunction_h

#include <FitnessFunction.h>
#include <Chromosomes.h>

class AirFitnessFunction : public FitnessFunction
{
   public :

      ~AirFitnessFunction();

      /** Returns the Fitness value of the given Chromosome  object */ 
      virtual FitnessValue * apply(Chromosomes *_or);

      FitnessValue * apply1(Chromosomes *_or);

}; // end of Class AirFitnessFunction

#endif

